Manage Debian system packages via the Web API service
Artica lets you manage system packages via the API Web service, allowing you to consult the list of packages, update packages and update the system kernel.
Artica lets you manage system packages via the API Web service, allowing you to consult the list of packages, update packages and update the system kernel.
This feature is available in Artica version 4.50 Service Pack 1 or Hotfix 20230923-19
Get packages collection and check if there is some updates.
GET http://[server]:[port]/system/packages/debian
Return a json
{ "Status": true,
"Info": "1567 packages in collection",
"Count": 1567,
"Packages": [
{ "Name": "acl",
"Status": "ii",
"Version": "2.2.53-4",
"Info": "amd64 access control list - utilities",
"Description": "" },
{ "Name": "adduser",
"Status": "ii",
"Version": "3.118",
"Info": "all add and remove users and groups",
"Description": "" },
...
"NeedToReboot": false,
"NeedToUpgrade": 192,
"PackagesToUpgrade": [ {
"Name": "python3.7-dev",
"Version": "3.7.3-2+deb10u4"
},
{
"Name": "mariadb-server",
"Version": "1:10.3.36-0+deb10u2" },
{
"Name": "libhdb9-heimdal",
"Version": "7.5.0+dfsg-3+deb10u1"
}, {
...
- NeedToReboot: True or False, True means your server need to be rebooted.
- NeedToUpgrade: Number of packages that needs to be upgraded to the next version.
- PackagesToUpgrade: Array of all packages with the name and the next available version.
Launch packages upgrade
GET http://[server]:[port]/system/packages/debian/upgrade
Launch the upgrade process of software needs to be upgraded.
Return a json
{
"Status": true,
"Running": false,
"Info": "Executing upgrade Process..."
}
If a an upgrade process is still executed, the json returned is
{
"Status": true,
"Running": true,
"Info": "Currently running"
}
Launch Debian system upgrade
GET http://[server]:[port]/system/debian/upgrade
Launch the upgrade process of the core Debian system such as Kernel version.
Return a json
{
"Status": true,
"Running": false,
"Info": "Executing upgrade Process..."
}
If a an upgrade process is still executed, the json returned is
{
"Status": true,
"Running": true,
"Info": "Currently running"
}